Skip to content

Get chats.

GET
/backend/v1/chats

Retrieves a list of chats that match the given criteria, with the option to adjust the limit for more results.

Chats contain details of user interactions with a LLM.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

limit

Limits the amount of returned objects. Max 100, min 1

Type
integer
Default
10
Maximum
100
Minimum
1
before

If is an AwareDatetime, will only return results before that time. If is a UUID of an api token, will instead only return results created before that token

after

If is an AwareDatetime, will only return results after that time. If is a UUID of an api token, will instead only return results created after that token

starred

If true return only chats that have been marked 'starred'

Responses

Successful Response

application/json
JSON
{
  
"chats": [
  
  
{
  
  
  
"access": {
  
  
  
  
"org": true,
  
  
  
  
"public": "string",
  
  
  
  
"users": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
},
  
  
  
"createdAt": "string",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"projectId": "string",
  
  
  
"promptId": "string",
  
  
  
"promptTemplateId": "string",
  
  
  
"starred": true,
  
  
  
"updatedAt": "string",
  
  
  
"userId": "string"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: